[arch-commits] CVS update of extra/lib/silly (PKGBUILD)

Eric Belanger eric at archlinux.org
Fri Dec 7 22:14:34 EST 2007


    Date: Friday, December 7, 2007 @ 22:14:34
  Author: eric
    Path: /home/cvs-extra/extra/lib/silly

   Added: PKGBUILD (1.1)

upgpkg: silly 0.1.0-2
initial upload, dependency for x86_64 cegui


----------+
 PKGBUILD |   26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)


Index: extra/lib/silly/PKGBUILD
diff -u /dev/null extra/lib/silly/PKGBUILD:1.1
--- /dev/null	Fri Dec  7 22:14:34 2007
+++ extra/lib/silly/PKGBUILD	Fri Dec  7 22:14:34 2007
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD,v 1.1 2007/12/08 03:14:34 eric Exp $
+# Maintainer: Eric Belanger <eric at archlinux.org>
+# Contributor: G_Syme <demichan(at)mail(dot)upb(dot)de>
+
+pkgname=silly
+pkgver=0.1.0
+pkgrel=2
+pkgdesc="Simple Image Loading LibrarY, a part of the CEGUI project"
+arch=('i686' 'x86_64')
+url="http://www.cegui.org.uk/wiki/index.php/SILLY"
+license=('MIT')
+depends=('libjpeg' 'libpng' 'gcc-libs')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/crayzedsgui/SILLY-$pkgver.tar.gz)
+md5sums=('c3721547fced7792a36ffc9ce6ec23fd')
+sha1sums=('ef5c8ed6c5c57d7d792dbb9e02006c3770334869')
+
+build() {
+  cd $startdir/src/SILLY-$pkgver
+  ./configure --prefix=/usr
+  make || return 1
+  make DESTDIR=$startdir/pkg install
+
+# install the MIT license
+  install -D -m644 COPYING $startdir/pkg/usr/share/licenses/$pkgname/COPYING
+}




More information about the arch-commits mailing list